<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'testpackageprovider',

    /*
     * Package.
     */
    'package'   => 'test',

    /*
     * Modules.
     */
    'modules'   => ['testarticles', 'user'],


    'testarticles'       => [
        'model'             => 'Testpackageprovider\Test\Models\Testarticles',
        'table'             => 'testarticles',
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'title',  'content'],
        'translatable'      => ['title',  'content'],

        'upload-folder'     => '/uploads/test/testarticles',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'user'       => [
        'model'             => 'Testpackageprovider\Test\Models\User',
        'table'             => 'users',
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', ],
        'translatable'      => [],

        'upload-folder'     => '/uploads/test/user',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
