<?php

namespace Testpackageprovider\Test\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Testarticles policy
        \Testpackageprovider\Test\Models\Testarticles::class => \Testpackageprovider\Test\Policies\TestarticlesPolicy::class,// Bind User policy
        \Testpackageprovider\Test\Models\User::class => \Testpackageprovider\Test\Policies\UserPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
